org.apache.sling.fileoptim.impl

## Class FileOptimizerWebConsole

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.felix.webconsole.AbstractWebConsolePlugin
      - - org.apache.sling.fileoptim.impl.FileOptimizerWebConsole

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class FileOptimizerWebConsole
    extends org.apache.felix.webconsole.AbstractWebConsolePlugin

Simple web console plugin for listing out the available optimizers

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `CONSOLE_LABEL`
`static String` `CONSOLE_TITLE`

### Fields inherited from class org.apache.felix.webconsole.AbstractWebConsolePlugin

`ATTR_FILEUPLOAD, GET_RESOURCE_METHOD_NAME`

### Constructor Summary

Constructors
Constructor and Description
`FileOptimizerWebConsole()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLabel()`
`String` `getTitle()`
`protected void` `renderContent(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse)`

### Methods inherited from class org.apache.felix.webconsole.AbstractWebConsolePlugin

`activate, deactivate, doGet, endResponse, getBrandingPlugin, getBundle, getBundleContext, getCategory, getCssReferences, getParameter, getResourceProvider, getServletName, isHtmlRequest, log, log, readTemplateFile, renderMenu, renderTopNavigation, sendRedirect, setBrandingPlugin, setLogLevel, startResponse`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONSOLE_LABEL

    public static final String CONSOLE_LABEL

See Also:
  Constant Field Values

#### CONSOLE_TITLE

    public static final String CONSOLE_TITLE

See Also:
  Constant Field Values

### Constructor Detail

#### FileOptimizerWebConsole

    public FileOptimizerWebConsole()

### Method Detail

#### getTitle

    public String getTitle()

Specified by:
  `getTitle` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`

#### getLabel

    public String getLabel()

Specified by:
  `getLabel` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`

#### renderContent

    protected void renderContent(javax.servlet.http.HttpServletRequest httpServletRequest,
                                 javax.servlet.http.HttpServletResponse httpServletResponse)
                          throws IOException

Specified by:
  `renderContent` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`
Throws:
  `IOException`